Index: owl.h
===================================================================
--- owl.h	(revision d7a3188828e158c5556573d6f9230747505a1c8b)
+++ owl.h	(revision c453adace14d4a6f0102ec68792c215c09060625)
@@ -20,6 +20,8 @@
 #include <signal.h>
 #include <termios.h>
-#include <libfaim/aim.h>
 #include <wchar.h>
+#include <unistd.h>
+#include <string.h>
+#include <errno.h>
 #include "config.h"
 #include "glib.h"
@@ -36,6 +38,4 @@
 /* logout is defined in FreeBSD. */
 #define logout logout_
-/* aim.h defines bool */
-#define HAS_BOOL
 #include <perl.h>
 #include "owl_perl.h"
@@ -56,5 +56,5 @@
 
 #ifndef OWL_VERSION_STRING
-#define OWL_VERSION_STRING "1.0.1"
+#define OWL_VERSION_STRING "1.0.1-perlaim-r" BARNOWL_STRINGIFY(OWL_SVN_REVNO)
 #endif
 
@@ -583,13 +583,4 @@
   int malloced, freed;
   char *searchstring;
-  aim_session_t aimsess;
-  aim_conn_t bosconn;
-  owl_timer aim_noop_timer;
-  owl_timer aim_ignorelogin_timer;
-  owl_timer aim_buddyinfo_timer;
-  int aim_loggedin;         /* true if currently logged into AIM */
-  int aim_doprocessing;     /* true if we should process AIM events (like pending login) */
-  char *aim_screenname;     /* currently logged in AIM screen name */
-  char *aim_screenname_for_filters;     /* currently logged in AIM screen name */
   owl_buddylist buddylist;  /* list of logged in AIM buddies */
   owl_list messagequeue;    /* for queueing up aim and other messages */
@@ -597,5 +588,4 @@
   char *response;           /* response to the last question asked */
   int havezephyr;
-  int haveaim;
   int got_err_signal;	    /* 1 if we got an unexpected signal */
   siginfo_t err_signal_info;
Index: select.c
===================================================================
--- select.c	(revision 2f690811f743b0ec04fdd98ce530c5a296c031df)
+++ select.c	(revision c453adace14d4a6f0102ec68792c215c09060625)
@@ -148,36 +148,9 @@
 }
 
-int owl_select_aim_hack(fd_set *rfds, fd_set *wfds)
-{
-  aim_conn_t *cur;
-  aim_session_t *sess;
-  int max_fd;
-
-  FD_ZERO(rfds);
-  FD_ZERO(wfds);
-  max_fd = 0;
-  sess = owl_global_get_aimsess(&g);
-  for (cur = sess->connlist, max_fd = 0; cur; cur = cur->next) {
-    if (cur->fd != -1) {
-      FD_SET(cur->fd, rfds);
-      if (cur->status & AIM_CONN_STATUS_INPROGRESS) {
-        /* Yes, we're checking writable sockets here. Without it, AIM
-           login is really slow. */
-        FD_SET(cur->fd, wfds);
-      }
-      
-      if (cur->fd > max_fd)
-        max_fd = cur->fd;
-    }
-  }
-  return max_fd;
-}
-
 void owl_select()
 {
-  int i, max_fd, aim_max_fd, aim_done;
+  int max_fd;
   fd_set r;
   fd_set e;
-  fd_set aim_rfds, aim_wfds;
   struct timeval timeout;
 
@@ -187,47 +160,5 @@
   max_fd = owl_select_dispatch_prepare_fd_sets(&r, &e);
 
-  /* AIM HACK: 
-   *
-   *  The problem - I'm not sure where to hook into the owl/faim
-   *  interface to keep track of when the AIM socket(s) open and
-   *  close. In particular, the bosconn thing throws me off. So,
-   *  rather than register particular dispatchers for AIM, I look up
-   *  the relevant FDs and add them to select's watch lists, then
-   *  check for them individually before moving on to the other
-   *  dispatchers. --asedeno
-   */
-  aim_done = 1;
-  FD_ZERO(&aim_rfds);
-  FD_ZERO(&aim_wfds);
-  if (owl_global_is_doaimevents(&g)) {
-    aim_done = 0;
-    aim_max_fd = owl_select_aim_hack(&aim_rfds, &aim_wfds);
-    if (max_fd < aim_max_fd) max_fd = aim_max_fd;
-    for(i = 0; i <= aim_max_fd; i++) {
-      if (FD_ISSET(i, &aim_rfds)) {
-        FD_SET(i, &r);
-        FD_SET(i, &e);
-      }
-    }
-  }
-  /* END AIM HACK */
-
-  if ( select(max_fd+1, &r, &aim_wfds, &e, &timeout) ) {
-    /* Merge fd_sets and clear AIM FDs. */
-    for(i = 0; i <= max_fd; i++) {
-      /* Merge all interesting FDs into one set, since we have a
-         single dispatch per FD. */
-      if (FD_ISSET(i, &r) || FD_ISSET(i, &aim_wfds) || FD_ISSET(i, &e)) {
-        /* AIM HACK: no separate dispatch, just process here if
-           needed, and only once per run through. */
-        if (!aim_done && (FD_ISSET(i, &aim_rfds) || FD_ISSET(i, &aim_wfds))) {
-          owl_process_aim();
-          aim_done = 1;
-        }
-        else {
-          FD_SET(i, &r);
-        }
-      }
-    }
+  if ( select(max_fd+1, &r, NULL, &e, &timeout) ) {
     /* NOTE: the same dispatch function is called for both exceptional
        and read ready FDs. */
Index: util.c
===================================================================
--- util.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
+++ util.c	(revision c453adace14d4a6f0102ec68792c215c09060625)
@@ -78,16 +78,13 @@
   }
 
-  if (owl_global_is_zaway(&g) || owl_global_is_aaway(&g)) {
+  /* TODO add perl hooks for sepbar away, etc. status */
+  if (owl_global_is_zaway(&g)) {
     getyx(sepwin, y, x);
     wmove(sepwin, y, x+2);
     wattron(sepwin, A_BOLD);
     wattroff(sepwin, A_REVERSE);
-    if (owl_global_is_zaway(&g) && owl_global_is_aaway(&g)) {
+    if (owl_global_is_zaway(&g)) {
       waddstr(sepwin, " AWAY ");
-    } else if (owl_global_is_zaway(&g)) {
-      waddstr(sepwin, " Z-AWAY ");
-    } else if (owl_global_is_aaway(&g)) {
-      waddstr(sepwin, " A-AWAY ");
-    }
+    } /* else if... */
     wattron(sepwin, A_REVERSE);
     wattroff(sepwin, A_BOLD);
Index: variable.c
===================================================================
--- variable.c	(revision 52f8dd6f954e971462a0a3fedc3550d1d0060e91)
+++ variable.c	(revision c453adace14d4a6f0102ec68792c215c09060625)
@@ -239,17 +239,4 @@
 	         "default zaway message", "" ),
 
-  OWLVAR_BOOL_FULL( "aaway" /* %OwlVarStub */, 0,
-		    "Set AIM away status",
-		    "",
-		    NULL, owl_variable_aaway_set, NULL),
-
-  OWLVAR_STRING( "aaway_msg" /* %OwlVarStub */, 
-		 OWL_DEFAULT_AAWAYMSG,
-	         "AIM away msg for responding when away", "" ),
-
-  OWLVAR_STRING( "aaway_msg_default" /* %OwlVarStub */, 
-		 OWL_DEFAULT_AAWAYMSG,
-	         "default AIM away message", "" ),
-
   OWLVAR_STRING( "view_home" /* %OwlVarStub */, "all",
 	         "home view to switch to after 'X' and 'V'", 
@@ -299,12 +286,4 @@
 		 "than 60 columns, as a courtesy to recipients.\n"),
 
-  OWLVAR_INT( "aim_ignorelogin_timer" /* %OwlVarStub */, 15,
-	      "number of seconds after AIM login to ignore login messages",
-	      "This specifies the number of seconds to wait after an\n"
-	      "AIM login before allowing the recipt of AIM login notifications.\n"
-	      "By default this is set to 15.  If you would like to view login\n"
-	      "notifications of buddies as soon as you login, set it to 0 instead."),
-
-	      
   OWLVAR_INT_FULL( "typewinsize" /* %OwlVarStub:typwin_lines */, 
 		   OWL_TYPWIN_SIZE,
@@ -403,17 +382,4 @@
   if (newval && (*(int*)newval == 1 || *(int*)newval == 0)) {
     g.debug = *(int*)newval;
-  }
-  return owl_variable_bool_set_default(v, newval);
-}
-
-/* When 'aaway' is changed, need to notify the AIM server */
-int owl_variable_aaway_set(owl_variable *v, void *newval)
-{
-  if (newval) {
-    if (*(int*)newval == 1) {
-      owl_aim_set_awaymsg(owl_global_get_aaway_msg(&g));
-    } else if (*(int*)newval == 0) {
-      owl_aim_set_awaymsg("");
-    }
   }
   return owl_variable_bool_set_default(v, newval);
